import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/labour_review_status_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/labour_review_status_entity.g.dart';

@JsonSerializable()
class LabourReviewStatusEntity {
	@JSONField(name: "co_department_id")
	int coDepartmentId = 0;
	List<LabourReviewStatusRecords> records = [];

	LabourReviewStatusEntity();

	factory LabourReviewStatusEntity.fromJson(Map<String, dynamic> json) => $LabourReviewStatusEntityFromJson(json);

	Map<String, dynamic> toJson() => $LabourReviewStatusEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class LabourReviewStatusRecords {
	@JSONField(name: "serial_number")
	String? serialNumber;
	@JSONField(name: "node_name")
	String? nodeName;
	@JSONField(name: "status_show")
	String? statusShow;
	@JSONField(name: "audit_name")
	String? auditName;
	@JSONField(name: "audit_time")
	String? auditTime;
	@JSONField(name: "audit_mark")
	String? auditMark;
	@JSONField(name: "created_at")
	String? createdAt;
	@JSONField(name: "assignee_type_show")
	String? assigneeTypeShow;
	@JSONField(name: "designation_show")
	String? designationShow;

	LabourReviewStatusRecords();

	factory LabourReviewStatusRecords.fromJson(Map<String, dynamic> json) => $LabourReviewStatusRecordsFromJson(json);

	Map<String, dynamic> toJson() => $LabourReviewStatusRecordsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}